<?php
require dirname(__FILE__) . '/../../autoload.php';

// Init du service
$service = new \SparkWebService(array('cache_wsdl' => WSDL_CACHE_NONE));

$token = 'test-467afe5eff145ffb2d87';

// Méthode GetClient 
// Init des paramètres

$date = new DateTime();
$dateFormat = $date->format('Ymd');
$publicKey = md5(uniqid('SparkWeb'));

$key = $token . $publicKey .  $dateFormat;
$hashkey = md5($key);

$WebClientId = "WEB-CLIENT-02";

// Appel de la requête
$request = new \GetClient($hashkey,$publicKey, $WebClientId);

// Récupération de la réponse
$response = $service->GetClient($request);
var_dump($response);